package com.ruoyi.nanjing.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * BarcodeRelationShip对象 T_RP_BarcodeRelationShip
 * 
 * @author limy
 * @date 2021-01-29
 */
public class TRpBarcoderelationship extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long ID;

    /** Semi */
    @Excel(name = "Semi")
    private String semiBarcode;

    /** 产品条码 */
    @Excel(name = "产品条码")
    private String productBarcode;

    /** 支线条码 */
    @Excel(name = "支线条码")
    private String semibarcodeLine;

    /** 所属支线ID */
    @Excel(name = "所属支线ID")
    private Long lineID;

    /** 是否生效 */
    @Excel(name = "是否生效")
    private String stateFlag;

    /** 记录时间 */
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date insertTime;

    public void setID(Long ID) 
    {
        this.ID = ID;
    }

    public Long getID() 
    {
        return ID;
    }
    public void setSemiBarcode(String semiBarcode) 
    {
        this.semiBarcode = semiBarcode;
    }

    public String getSemiBarcode() 
    {
        return semiBarcode;
    }
    public void setProductBarcode(String productBarcode) 
    {
        this.productBarcode = productBarcode;
    }

    public String getProductBarcode() 
    {
        return productBarcode;
    }
    public void setSemibarcodeLine(String semibarcodeLine) 
    {
        this.semibarcodeLine = semibarcodeLine;
    }

    public String getSemibarcodeLine() 
    {
        return semibarcodeLine;
    }
    public void setLineID(Long lineID) 
    {
        this.lineID = lineID;
    }

    public Long getLineID() 
    {
        return lineID;
    }
    public void setStateFlag(String stateFlag) 
    {
        this.stateFlag = stateFlag;
    }

    public String getStateFlag() 
    {
        return stateFlag;
    }
    public void setInsertTime(Date insertTime) 
    {
        this.insertTime = insertTime;
    }

    public Date getInsertTime() 
    {
        return insertTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("semiBarcode", getSemiBarcode())
            .append("productBarcode", getProductBarcode())
            .append("semibarcodeLine", getSemibarcodeLine())
            .append("lineID", getLineID())
            .append("stateFlag", getStateFlag())
            .append("insertTime", getInsertTime())
            .toString();
    }
}
